При нажатии на "Оформить заказ" исчезают товары

Аватар пользователя oleg220 oleg220 3 апреля 2012 в 22:13

Привет всем.
Такая вот проблема.
Используется ubercart и uc_ajax_cart.
Когда ложишь товар в корзину и переходишь на страницу корзины /cart то там есть выбранный товар.
После нажимаешь на "Оформить товар" и корзина почему то просто очищается.
Пробовал ковыряться в настройках uc_ajax_cart, всё включал и отключал, но, ничего не помогает.

Есть у кого-нибудь варианты решения проблемы?

Сайт http://cartin.ru/

И ещё на странице авторизации непонятная ошибка, которую так же не удаётся никак решить.

Комментарии

Аватар пользователя Alamir Alamir 4 апреля 2012 в 0:58

А модуль не правили? он отлично работает "из коробки" не раз проверенно.

А у вас при нажатии на "оформить заказ" я остаюсь там же где и был на /cart

Ссылки корзины не правили?

Аватар пользователя oleg220 oleg220 4 апреля 2012 в 8:31

Модуль я пробовал править, как описано здесь http://drupal.org/node/1318452 Чтобы избавиться от ошибки.
Но, даже без правки то же самое.
Такое ощущение, что любое действие на странице /cart приводит к очистке корзины.
С настройками ссылок корзины тоже пробовал копаться, но, ни так ни так не работает.

Аватар пользователя oleg220 oleg220 4 апреля 2012 в 13:06

А как правильно заменить новые версии модулей на старые? Чтобы без последствий?
А то я попробовал, но, кучу ошибок выдаёт.

Аватар пользователя oleg220 oleg220 4 апреля 2012 в 14:54

Не знаю как что получилось, но как то проблема решилась.
Много чего пробовал, устарял модули, обратно обновлял, кеши, фигеши, update.php и т.д. В итоге, по моему, вернулся к старому варианту.
Быть может раньше при обновлении что то не до конца обновилось. Хрен его знает.

Аватар пользователя oleg220 oleg220 4 апреля 2012 в 21:00

Теперь только у меня друпал постоянно просит обновить базу данных.
Но, при попытке обновления, на странице с выбором версий выводит вот это

uc_order module can not be updated. Its schema version is 0. Updates up to and including 8 have been removed in this release. In order to update uc_order module, you will first need to upgrade to the last version in which these updates were available.

Хотя вроде всё работает.